Page MenuHomePhabricator

[libclang] Handle AutoType in clang_getTypeDeclaration
ClosedPublic

Authored by skalinichev on Sep 20 2015, 1:52 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

skalinichev retitled this revision from to [libclang] Handle AutoType in clang_getTypeDeclaration.
skalinichev updated this object.
skalinichev added a subscriber: cfe-commits.
milianw edited edge metadata.Oct 19 2015, 4:39 AM

Adding tests wouldn't hurt though, quite the contrary. Especially if it wasn't tested before. Otherwise, this looks good to me.

klimek edited edge metadata.Oct 19 2015, 4:44 AM

+1 to "not tested before" not implying "doesn't need tests" :)

skalinichev updated this object.
skalinichev edited edge metadata.

Added tests

lgtm, but someone else should approve

klimek accepted this revision.Dec 14 2015, 12:04 AM
klimek edited edge metadata.

lg

This revision is now accepted and ready to land.Dec 14 2015, 12:04 AM
This revision was automatically updated to reflect the committed changes.